Subject: Re: [PATCH] [POWERPC] 85xx: Add basic Uniprocessor MPC8572 DS port

From: David Gibson <[email-masked]>
Date: Wed, 12 Sep 2007 13:00:05 +1000

On Tue, Sep 11, 2007 at 12:59:22PM -0500, Kumar Gala wrote:
> 
> On Sep 11, 2007, at 12:48 PM, Scott Wood wrote:
> 
> > Olof Johansson wrote:
> >> On Tue, Sep 11, 2007 at 12:21:30PM -0500, Scott Wood wrote:
> >>> Olof Johansson wrote:
> >>>> On Tue, Sep 11, 2007 at 11:00:28AM -0500, Kumar Gala wrote:
> >>>>> well the ifdefs are orthogonal.  We don't have a way of knowing
> >>>>> primary from the device tree today.
> >>>> How about something like "fsl,primary-phb" in the bus device  
> >>>> node? I don't
> >>>> know, maybe it's already been discussed and turned down for some  
> >>>> reason.
> >>> It's more of a Linux issue than anything to do with the hardware.
> >>
> >> That doesn't stop firmware from telling linux which bus is the  
> >> primary
> >> one on the system to help out.
> >
> > The entire notion of a "primary" PCI bus is due to a Linux flaw.
> >
> > If we did put it in the device tree, it should be something like
> > "linux,primary-phb".  But since Linux can tell from the node's  
> > children,
> > there doesn't seem to be much point.
> 
> Once someone rights code to do this I'm happy to change over.  I took  
> this model of explicitly knowing the primary PHB from the pmac code.

In the meantime, couldn't the code still be merged, using an explicit
test of the root node's 'compatible' or 'model' properties to decide
on the right primary bus.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson